## psgml 1a12

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in 
#
# Makefile for the GNU Emacs lisp library, PSGML
# Copyright (C) 1996 Karl Eichwalder, GPL
#
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

PACKAGE = psgml
VERSION = 1a12

SHELL = /bin/sh
                          # Right now we do not need it.

srcdir = .

prefix = /usr
datadir = ${prefix}/share
locallisppath = $(prefix)/share/emacs/site-lisp
psgmldir = $(locallisppath)/psgml
infodir = $(prefix)/info

EMACS = emacs

MAKEINFO = makeinfo
TEXI2DVI = texi2dvi
INSTALL = /usr/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644

ELSRC =	psgml.el psgml-parse.el psgml-edit.el psgml-dtd.el \
	psgml-info.el psgml-charent.el psgml-api.el \
	psgml-other.el psgml-lucid.el \
	psgml-debug.el fs.el
ELC =	psgml.elc psgml-parse.elc psgml-edit.elc psgml-dtd.elc \
	psgml-info.elc psgml-charent.elc psgml-api.elc \
	psgml-debug.elc fs.elc
NELC = 	psgml-other.elc
LELC = 	psgml-lucid.elc

ALL_ELC = $(ELC) $(NELC) $(LELC)

OTHERS = README.psgml catalog.sgml style.fs iso88591.map psgml-maint.el \
ChangeLog
DOC_FILES = psgml-api.info psgml-api.texi psgml.info psgml.ps psgml.texi
AUTOCONF_FILES = Makefile.in aclocal.m4 configure configure.in \
install-sh mkinstalldirs INSTALL

DISTFILES = $(ELSRC) $(OTHERS) $(DOC_FILES) \
$(AUTOCONF_FILES)

EMACSB= $(EMACS) -batch -l psgml-maint.el


all: elc

help:
	@echo 'Use "make emacs" or "make xemacs"'

.PHONY: elc
elc:
	$(EMACSB) -f psgml-compile-files

TAGS tags:
	etags $(ELSRC) $(NSRC) $(LSRC)

install: elc installdirs install-info
	$(INSTALL_DATA) $(ELSRC) $(psgmldir)
	$(INSTALL_DATA) `$(EMACSB) -f psgml-install-elc` $(psgmldir)

installdirs:
	$(srcdir)/mkinstalldirs $(psgmldir)

install-info: psgml.info psgml-api.info
	$(INSTALL_DATA) psgml.info psgml-api.info $(infodir)
	if $(SHELL) -c 'install-info --version' \
		>/dev/null 2>&1; then \
		install-info --infodir=$(infodir) psgml.info; \
		install-info --infodir=$(infodir) psgml-api.info; \
	else true; fi


xemacs:
	$(MAKE) EMACS=xemacs all
install-xemacs:
	$(MAKE) EMACS=xemacs install

clean:
	$(RM) *~ $(ALL_ELC)
	$(RM) -r $(DISTDIR) $(DISTDIR).tar.gz $(DISTDIR).tar.gz.uu


info: psgml.info psgml-api.info

psgml.info: psgml.texi
	$(MAKEINFO) psgml.texi

psgml-api.info: psgml-api.texi
	$(MAKEINFO) psgml-api.texi

dvi: psgml.dvi psgml-api.dvi

psgml.dvi:
	$(TEXI2DVI) $(srcdir)/psgml.texi

psgml-api.dvi:
	$(TEXI2DVI) $(srcdir)/psgml-api.texi

ps: psgml.ps

psgml.ps: psgml.dvi
	dvips psgml.dvi -o psgml.ps


# Below this point are rules for release management.

DISTDIR = $(PACKAGE)-$(VERSION)

dist: Makefile disttree
	rm -f $(DISTDIR).tar.gz $(DISTDIR).tar.gz.uu
	tar cvf $(DISTDIR).tar $(DISTDIR)
	gzip -9 $(DISTDIR).tar

disttree:
	rm -rf $(DISTDIR) || exit 0
	mkdir $(DISTDIR)
	# cp $(ELFILES) $(DISTDIR)
	cp $(DISTFILES) $(DISTDIR)

# For understanding the following see the autoconf manual.
configure: configure.in aclocal.m4
	cd $(srcdir) && rm -f configure && autoconf

#Makefile: Makefile.in config.status
#	$(SHELL) ./config.status

config.status: configure
	$(SHELL) ./config.status --recheck

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

# Makefile.in ends here

## psgml 1.0.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
 PACKAGE = psgml
-VERSION = 1a12
+VERSION = 1.0
 
 SHELL = /bin/sh
                           # Right now we do not need it.
@@ -35,17 +35,15 @@
 
 ELSRC =	psgml.el psgml-parse.el psgml-edit.el psgml-dtd.el \
 	psgml-info.el psgml-charent.el psgml-api.el \
-	psgml-other.el psgml-lucid.el \
-	psgml-debug.el fs.el
+	psgml-other.el psgml-lucid.el 
 ELC =	psgml.elc psgml-parse.elc psgml-edit.elc psgml-dtd.elc \
-	psgml-info.elc psgml-charent.elc psgml-api.elc \
-	psgml-debug.elc fs.elc
+	psgml-info.elc psgml-charent.elc psgml-api.elc
 NELC = 	psgml-other.elc
 LELC = 	psgml-lucid.elc
 
 ALL_ELC = $(ELC) $(NELC) $(LELC)
 
-OTHERS = README.psgml catalog.sgml style.fs iso88591.map psgml-maint.el \
+OTHERS = README.psgml iso88591.map psgml-maint.el \
 ChangeLog
 DOC_FILES = psgml-api.info psgml-api.texi psgml.info psgml.ps psgml.texi
 AUTOCONF_FILES = Makefile.in aclocal.m4 configure configure.in \
@@ -131,13 +129,14 @@
 	mkdir $(DISTDIR)
 	# cp $(ELFILES) $(DISTDIR)
 	cp $(DISTFILES) $(DISTDIR)
+	cp Makefile.def $(DISTDIR)/Makefile
 
 # For understanding the following see the autoconf manual.
 configure: configure.in aclocal.m4
 	cd $(srcdir) && rm -f configure && autoconf
 
-#Makefile: Makefile.in config.status
-#	$(SHELL) ./config.status
+Makefile: Makefile.in config.status
+	$(SHELL) ./config.status
 
 config.status: configure
 	$(SHELL) ./config.status --recheck

## psgml 1.1.6

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,14 @@
 # the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
 PACKAGE = psgml
-VERSION = 1.0
+VERSION = 1.0.2
 
 SHELL = /bin/sh
                           # Right now we do not need it.
 
 srcdir = .
 
-prefix = /usr
+prefix = /usr/local
 datadir = ${prefix}/share
 locallisppath = $(prefix)/share/emacs/site-lisp
 psgmldir = $(locallisppath)/psgml
@@ -131,18 +131,4 @@
 	cp $(DISTFILES) $(DISTDIR)
 	cp Makefile.def $(DISTDIR)/Makefile
 
-# For understanding the following see the autoconf manual.
-configure: configure.in aclocal.m4
-	cd $(srcdir) && rm -f configure && autoconf
-
-Makefile: Makefile.in config.status
-	$(SHELL) ./config.status
-
-config.status: configure
-	$(SHELL) ./config.status --recheck
-
-# Tell versions [3.59,3.63) of GNU make not to export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:
-
 # Makefile.in ends here

## psgml 1.4.0

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in 
#
# Makefile for the GNU Emacs lisp library, PSGML

prefix = /usr/local
datadir = ${prefix}/share
lispdir = $(datadir)/emacs/site-lisp
srcdir = .

EMACS = emacs
XEMACS = xemacs

FLAGS = -batch -q -no-site-file -l ./psgml-maint.el
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
SHELL = /bin/sh

compile:
	$(EMACS) $(FLAGS) -f psgml-compile-files

all: 
	rm -f *.elc ; $(EMACS) $(FLAGS) -f psgml-compile-files


install: compile installdirs 
	$(SHELL) mkinstalldirs $(lispdir)
	for p in *.elc; do \
	  echo " $(INSTALL_DATA) $$p $(lispdir)/$$p"; \
	  $(INSTALL_DATA) $$p $(lispdir)/$$p; \
	done
	$(INSTALL_DATA) iso88591.map $(lispdir)

installdirs:
	$(srcdir)/mkinstalldirs $(psgmldir)

install-info:
	$(INSTALL_DATA) psgml.info $(infodir)
	$(INSTALL_DATA) psgml-api.info $(infodir)
	if $(SHELL) -c 'install-info --version' \
		>/dev/null 2>&1; then \
		install-info --info-dir=$(infodir) psgml.info; \
		install-info --info-dir=$(infodir) psgml-api.info; \
	else true; fi


xemacs:
	$(MAKE) EMACS=xemacs all

install-xemacs:
	$(MAKE) EMACS=xemacs install


# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

# Makefile.in ends here

=== debian/changelog ===
psgml (1.4.0-12.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Declare need for fakeroot when building psgml.
    (Closes: #1092426)

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 13:23:55 +0000

psgml (1.4.0-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007576)

 -- Bastian Germann <bage@debian.org>  Sat, 23 Mar 2024 14:31:04 +0000

psgml (1.4.0-12) unstable; urgency=medium

  * Removed byte compilation and related code in emacsen.{install,remove}.
    Unnecessary, simplifies greatly, resolves upgrade issue. (Closes: 986427)

 -- Neil Roeth <neil@debian.org>  Thu, 08 Apr 2021 23:05:51 -0400

psgml (1.4.0-11) unstable; urgency=medium

  * Fixed bug where psgml-init.el was overwriting itself (Closes: 985265)
  * Added current flavor of emacs to postrm so it removes/purges properly.

 -- Neil Roeth <neil@debian.org>  Tue, 16 Mar 2021 21:16:01 -0400

psgml (1.4.0-10) unstable; urgency=medium

  * Avoid unnecessary install of compiled lisp whether or not make is
    installed. (Closes: 984542)

 -- Neil Roeth <neil@debian.org>  Sat, 13 Mar 2021 17:28:23 -0500

psgml (1.4.0-9) unstable; urgency=medium

  * Updated maintainer scripts to match Debian Emacs policy 5A and 5B regarding
    install and remove
  * Updated package dependencies to be consistent with Debian Emacs policy
  * Updated Standards-Version to 4.5.1 (no changes to package)

 -- Neil Roeth <neil@debian.org>  Sun, 03 Jan 2021 09:29:15 -0500

psgml (1.4.0-8) unstable; urgency=medium

  * Removed backup file ChangeLog~ and generated file Makefile.
  * Replaced obsolete default-enable-multibye-characters
  * Removed checks for ancient Emacs and psgml versions in postinst
  * Updated debian/emacsen.{install,remove} to work properly after change
    from flavors of emacs like emacs24 and emacs25 to single flavor called
    just emacs. Split clean target in Makefile into clean-junk and clean-elc
    for that purpose.
  * Replaced obsolete function executing-macro with executing-kbd-macro
  * Fixed infinite loop while processing DTD (Closes: #775463)
  * Changed default value of sgml-validate-command to onsgmls

 -- Neil Roeth <neil@debian.org>  Wed, 30 Dec 2020 16:43:44 -0500

psgml (1.4.0-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to malformed UTF-8 character (Closes: #952262):
  - Applied patch for psgml.texi; thanks Claudio Saavedra.

 -- Alberto Garcia <berto@igalia.com>  Wed, 21 Oct 2020 16:02:11 +0200

psgml (1.4.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to unversioned emacs package (Closes: #933319)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Aug 2019 12:46:15 +0200

psgml (1.4.0-7) unstable; urgency=medium

  * Added dependency on emacs25, dropped emacs23 and emacs-snapshot.

 -- Neil Roeth <neil@debian.org>  Fri, 20 Jan 2017 07:35:15 -0500

psgml (1.4.0-6) unstable; urgency=low

  * Make build reproducible:
  - Applied patch for local.mk; thanks Chris Lamb. (Closes: #777505).
  - Applied patch for install_cmds.mk; thanks Valerie R Young (Closes: #847026).
  * Removed explicit calls to install-info as required by policy.
  * Updated Standards-Version to 3.9.8.0.

 -- Neil Roeth <neil@debian.org>  Wed, 18 Jan 2017 19:01:58 -0500

psgml (1.4.0-5) unstable; urgency=low

  * Fixed typo: "determin" -> "determine" (Closes: #639220).
  * Changed regexp for file extension from "\\.xml$" to "\\.xml\\'"
    (Closes: #680702).

 -- Neil Roeth <neil@debian.org>  Tue, 15 Oct 2013 08:00:28 -0400

psgml (1.4.0-4) unstable; urgency=low

  * Updated Standards-Version to 3.9.4.0.  No changes required.
  * Fixed misspelling in prior changelog entry.

 -- Neil Roeth <neil@debian.org>  Mon, 14 Oct 2013 18:22:00 -0400

psgml (1.4.0-3) unstable; urgency=low

  * Another if-Emacs-24 update - delete 50psgml-init.el in postrm when 
    package is purged.
  * Last version was accidentally built as a native package; reverted back
    to non-native.

 -- Neil Roeth <neil@debian.org>  Sun, 13 Oct 2013 10:32:26 -0400

psgml (1.4.0-2) unstable; urgency=low

  * Modified Emacs remove script so that it deletes compiled list files
    when package is removed.
  * New version no longer uses make-local-hook. (Closes: #669280).

 -- Neil Roeth <neil@debian.org>  Sat, 12 Oct 2013 15:20:57 -0400

psgml (1.4.0-1) unstable; urgency=low

  * New upstream release - actually unofficial changes from
    http://www.fsavigny.de/gpled-software/psgml-1.4.0.tar.gz
    since psgml is not really being updated any more.
  * Updates to work with Emacs 24. (Closes: #693432).
  * New upstream version eliminates old style backquotes. (Closes: #669282).

 -- Neil Roeth <neil@debian.org>  Thu, 10 Oct 2013 20:09:05 -0400

psgml (1.3.2-14) unstable; urgency=low

  * Check for existence of ucf and ucfr before calling in postrm
    script. (Closes: #685467).

 -- Neil Roeth <neil@debian.org>  Tue, 21 Aug 2012 23:24:41 -0400

psgml (1.3.2-13) unstable; urgency=low

  * Removed obsolete package sp from Recommends.
  * Removed obsolete packages emacs22 and emacs21 from Depends.
  * Policy 12.2: Removed installer script references to nonexistent
    install-info-altdir and added dependency on dpkg | install-info.
  * Updated Standards-Version to 3.9.2.0.

 -- Neil Roeth <neil@debian.org>  Sat, 28 May 2011 15:47:15 -0400

psgml (1.3.2-12) unstable; urgency=low

  * Updated to include emacs23. (Closes: #541852).
  * Updated psgml{,-api}.texi and regenerated info files in order to put
    info into Emacs category of Info instead of Miscellaneous.
  * Updated Standards-Version to 3.8.2.0, no changes required.

 -- Neil Roeth <neil@debian.org>  Sun, 16 Aug 2009 17:49:30 -0400

psgml (1.3.2-11) unstable; urgency=low

  * Fix ucf handling of psgml-init.el file. (Closes: #516843).
  * Do not create /etc/emacs<flavour> directories unless needed. (Closes:
    #501827).

 -- Neil Roeth <neil@debian.org>  Tue, 09 Jun 2009 22:43:58 -0400



=== debian/control ===
Source: psgml
Section: text
Homepage: http://sourceforge.net/projects/psgml/
Priority: optional
Maintainer: Neil Roeth <neil@debian.org>
Rules-Requires-Root: binary-targets
Standards-Version: 4.5.1
Build-Depends-Indep: texinfo, sharutils


Package: psgml
Architecture: all
Depends: ucf (>= 0.08), emacsen-common, sgml-base, sgml-data
Recommends: emacs (>= 46.0), opensp
Suggests: debiandoc-sgml, make, w3-dtd-mathml
Description: Emacs major mode for editing SGML documents
 PSGML is a major mode for the editor Emacs used for editing SGML
 documents.  It contains a simple SGML parser and can work with any
 DTD. (The most popular nowadays are the HTML DTDs.  This package
 turns your emacs into the one of most powerful HTML editors and will
 be ultimately flexible as well, since you could upgrade your editor
 by just installing new DTDs).  Functions provided includes menus and
 commands for inserting tags with only the contextually valid tags,
 identification of structural errors, editing of attribute values in a
 separate window with information about types and defaults, and
 structure based editing.
 .
 Since psgml parses the DTD to allow you to edit SGML documents, you do
 need to have the DTDs installed in order to use psgml.  Since psgml
 installs itself as an HTML mode in Emacs, it depends on sgml-data.  Some
 other packages which also provide SGML DTDs are suggested, like
 debiandoc-sgml and linuxdoc-sgml.
 .
 SGML, a language for encoding the structure of a document, is an ISO
 standard: ISO 8879:1986 "Information processing - Text and office
 systems - Standard Generalized Markup Language (SGML)".
 .
 Psgml is a standard package for XEmacs, and thus this package does not 
 install itself for XEmacsen.
 .
 The official home page has not been updated since 2005.  The latest version
 of this package was built from an unofficial version at
 <URL:http://www.fsavigny.de/gpled-software/psgml-1.4.0.tar.gz>

=== debian/rules ===
#! /usr/bin/make -f
#######################################################
## rules --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Fri Nov 14 12:33:34 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Nov 18 17:46:22 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 70
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
## arch-tag: 9a5063f4-1e20-4fff-b22a-de94c1e3d954
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
###############################################################################

# Include dpkg-architecture generated variables
include debian/common/archvars.mk

# Set variables with information extracted from control and changelog files
include debian/common/pkgvars.mk

# variables useful for perl packages
include debian/common/perlvars.mk

# Install commands
include debian/common/install_cmds.mk

include debian/local-vars.mk

include debian/common/copt.mk

include debian/common/automake.mk



all:
	@echo nothing to be done

include debian/common/targets.mk

include debian/local.mk


#Local variables:
#mode: makefile
#coding: utf-8
#compile-command: "cd .. && gbp buildpackage -uc -us"
#End:

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

ftp://ftp.lysator.liu.se/pub/sgml/ALPHA/psgml-([\.\d]+).tar.gz
